import { ExpressionCard } from "../../components";
import { ExpressionDescription } from "../../components/ExpressionDescription";
import { useExpressionById, useExpressionQueryId } from "../../hooks";
import { ErrorView } from "../ErrorView";

export function ExpressionCardView() {
  const expression_id = useExpressionQueryId();
  const expression = useExpressionById(expression_id);
  if (!expression) return <ErrorView message="No valid card selected" />;
  return (
    <div className="page-with-padding content-list scroll">
      <ExpressionCard
        prompt={expression.prompt}
        categories={[]}
        description={<ExpressionDescription expression={expression} />}
        show_description
      />
    </div>
  );
}
